This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 875528 - PRD32 - bootstrap rewrite (engine)
PRD32 - bootstrap rewrite (engine)
Status: CLOSED ERRATA
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine (Show other bugs)
unspecified
Unspecified Unspecified
unspecified Severity unspecified
: ---
: 3.2.0
Assigned To: Alon Bar-Lev
Pavel Stehlik
infra
: FutureFeature, Improvement
Depends On: bootstrap-rewrite
Blocks: Simon-RFE-Tracker 915537 927162
  Show dependency treegraph
 
Reported: 2012-11-11 17:34 EST by Alon Bar-Lev
Modified: 2016-02-10 14:16 EST (History)
12 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
It was decided to rewrite 'Host Deploy' from scratch as there were to many issues being reported about this component. These included: - Too many bootstrap sequences (standard, node, registration). - No pluggable (cluster). - VDSM-bootstrap is part of VDSM package, however it is back-end tool. - No manual invocation method. - Logging is insufficient, example - SSH timeout issues. The new changes are: - Host Deploy as standalone package. - Lower cost of maintenance. - Lower cost of integration. - Flexible pluggable design. - Two sequences: * Host deploy * Ovirt-node upgrade. - Ovirt-node registration has no ovirt logic, just 'I'm here' notification. - Establish a bidirectional channel between back-end and host. * No iterative commands nor file transfers. - Manual invocation support. - Better timeout management. - Better logging. - Share code with engine-setup.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-10 17:19:30 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Infra
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Alon Bar-Lev 2012-11-11 17:34:30 EST
CURRENT ISSUES (nut shell)

* Too many bootstrap sequences (standard, node, registration).
* Too much complexity, can break at a lot of places, hard to adapt new features.
* No pluggable (cluster).
* vdsm-bootstrap part of vdsm package, however it is back-end tool, hard to maintain the dependency and support multiple back-end versions.
* No manual invocation method.
* Logging is insufficient, example: stderr data absent from logs on host, but appear on back-end side.
* SSH timeout issues.

MISSION

* vdsm-bootstrap as standalone package.
* Lower cost of maintenance.
* Lower cost of integration.
* Flexible pluggable design.
* Two sequences
  * Bootstrap
  * ovirt-node upgrade
* ovirt-node registration has no ovirt logic, just “I'm here” notification.
* Establish a bidirectional channel between back-end and host, no iterative commands nor file transfers.
* Manual invocation support.
* Better timeout management.
* Better logging.
Comment 2 Alon Bar-Lev 2012-11-29 11:40:07 EST
7e3933d bootstrap: ovirt-node upgrade: create destination directory
69d378e bootstrap: cleanup approve command
6b85509 bootstrap: bootstrap: make approve command respect installation failure
05425ef bootstrap: rewrite bootstrap using the new ovirt-host-deploy package
90e3358 packaging: add release_suffix variable to spec
bad0003 gluster: replace VdsInstallerSSH: with the SSHDialog
7c2a08e bootstrap: detach OVirtUpgrader from VdsInstaller into OVirtNodeUpgrade
d20ea09 bootstrap: use LocalConfig for engine http host and port
a975ff5 packaging: support python3 in make tarball
69ce47f utils: tar: split tar unit test from VdsInstallerSSH tests.
c5cc1d2 bootstrap: allow distinguish error from non error messages
549739a bootstrap: handle bootstrap messages using string member
eed7d7a bootstrap: split the logic of ovirt-node upgrade out
c71eefa bootstrap: host add: differentiate between authentication error and other errors
e2ce863 utils: ssh: cleanup: rename server with host
b017e60 utils: ssh: move to member '_' convention
5ce0630 utils: ssh: optimize progress streams
8ca4ace utils: ssh: fixup activity detection
e5325f5 utils: ssh: don't add ssh command to exception
cb62f72 utils: tests: do not use default key alias
17bbe15 utils: tests: tar: cleanup main() entry point
54c506c utils: move Tar, CachedTar classes to own package
045a37e utils: tar: throw an exception if base does not exist
1b11282 utils: tar: support long file names within tar
a3ad3cf pki: accept subject name for certificate
21e79e5 pki: cleanup the ca interface
412166d core: Event log - a method to bypass flow

http://gerrit.ovirt.org/#/c/9161/
http://gerrit.ovirt.org/#/c/9162/
http://gerrit.ovirt.org/#/c/9163/
http://gerrit.ovirt.org/#/c/9164/
http://gerrit.ovirt.org/#/c/9165/
http://gerrit.ovirt.org/#/c/9166/
http://gerrit.ovirt.org/#/c/9167/
http://gerrit.ovirt.org/#/c/9168/
http://gerrit.ovirt.org/#/c/9169/
http://gerrit.ovirt.org/#/c/9170/
http://gerrit.ovirt.org/#/c/9171/
http://gerrit.ovirt.org/#/c/9172/
http://gerrit.ovirt.org/#/c/9173/
http://gerrit.ovirt.org/#/c/9178/
http://gerrit.ovirt.org/#/c/9245/
http://gerrit.ovirt.org/#/c/9246/
http://gerrit.ovirt.org/#/c/9292/
http://gerrit.ovirt.org/#/c/9368/
http://gerrit.ovirt.org/#/c/9174/
http://gerrit.ovirt.org/#/c/9160/
http://gerrit.ovirt.org/#/c/9175/
http://gerrit.ovirt.org/#/c/9443/
http://gerrit.ovirt.org/#/c/9452/
http://gerrit.ovirt.org/#/c/9524/
Comment 4 Stephen Gordon 2013-01-04 15:43:09 EST
We already discussed/scoped documentation impact for this under Bug # 875528 so I am setting docs_scoped- here.
Comment 5 Cheryn Tan 2013-04-03 02:53:57 EDT
This bug is currently attached to errata RHEA-2013:14491. If this change is not to be documented in the text for this errata please either remove it from the errata, set the requires_doc_text flag to minus (-), or leave a "Doc Text" value of "--no tech note required" if you do not have permission to alter the flag.

Otherwise to aid in the development of relevant and accurate release documentation, please fill out the "Doc Text" field above with these four (4) pieces of information:

* Cause: What actions or circumstances cause this bug to present.

* Consequence: What happens when the bug presents.

* Fix: What was done to fix the bug.

* Result: What now happens when the actions or circumstances above occur. (NB: this is not the same as 'the bug doesn't present anymore')

Once filled out, please set the "Doc Type" field to the appropriate value for the type of change made and submit your edits to the bug.

For further details on the Cause, Consequence, Fix, Result format please refer to:

https://bugzilla.redhat.com/page.cgi?id=fields.html#cf_release_notes

Thanks in advance.
Comment 7 errata-xmlrpc 2013-06-10 17:19:30 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-0888.html

Note You need to log in before you can comment on or make changes to this bug.